set -eo xtrace
# Rpmbuild expects patches in the _sourcedir
find *.patch &> /dev/null && mv *.patch $TMT_SOURCE_DIR
mkdir builddir
rpmbuild -bp pcs.spec --nodeps --define "_sourcedir $TMT_SOURCE_DIR" \
  --define "_builddir $(pwd)/builddir"
# Remove *SPECPARTS folders generated by rpmbuild
rm -rfv builddir/*SPECPARTS
# Remove pcs-web-ui in builddir for "cd pcs-*" to have exactly one match
rm -rf builddir/pcs-web-ui-*
cd builddir/pcs-*
# Run autotools, use bundled dependencies from the system
export PYTHONPATH=/usr/lib64/pcs/pcs_bundled/packages/
export GEM_HOME=/usr/lib64/pcsd/vendor/bundle/
./autogen.sh
./configure
# Remove pcs sources to make sure tests are not using any of those files
rm -rf pcs
